<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <link rel="manifest" href="/lab3/manifest.json">
    <link rel="stylesheet" href="style.css" />
    <link rel="icon" type="image/png" href="icons/icon.png"/>
    <title>Students</title>
</head>
<body>
    <nav>
        <h2 style="padding: 1%;">CMS</h2>
        <div style="display: flex; flex-direction: row-reverse; align-items: center;">     
            <div style = "padding-right: 10px; gap: 20px; display: flex; flex-direction: row; justify-content: center; text-align:center;">
                <div>
                    <div class="drop2">
                        <img class="bell" src="https://freepngimg.com/thumb/bell/36687-5-bell-transparent-image-thumb.png"> 
                        <div id="myModal1" class="notifications">
                            <div class="message">
                                <div class="sender">
                                    <img style="height: 40px; width: 40px; border-radius: 100%; margin-right: 5px;" src="https://cdn.pixabay.com/photo/2015/10/05/22/37/blank-profile-picture-973460__340.png" alt="">
                                    <div style="color: gray;">Admin</div>
                                </div>
                                <div class="textMessage"></div>
                            </div>
                            <div class="message">
                                <div class="sender">
                                    <img style="height: 40px; width: 40px; border-radius: 100%; margin-right: 5px;" src="https://cdn.pixabay.com/photo/2015/10/05/22/37/blank-profile-picture-973460__340.png" alt="">
                                    <div style="color: gray;">Admin</div>
                                </div>
                                <div class="textMessage"></div>
                            </div>
                            <div class="message">
                                <div class="sender">
                                    <img style="height: 40px; width: 40px; border-radius: 100%; margin-right: 5px;" src="https://cdn.pixabay.com/photo/2015/10/05/22/37/blank-profile-picture-973460__340.png" alt="">
                                    <div style="color: gray;">Admin</div>
                                </div>
                                <div class="textMessage"></div>
                            </div>                                      
                        </div>
                    </div>
                </div>                   
                <a style="text-decoration: none; color: rgb(33, 37, 41);" href="https://getbootstrap.com/docs/5.3/components/navbar/#nav">
                    <div class="drop">
                        <img style="height: 40px; width: 40px; border-radius: 100%; margin-right: 5px;" src="https://m.media-amazon.com/images/M/MV5BMWJlN2E2NjUtMmJlNS00Mjc4LTk1YzEtNDQ4MGRiN2Y3NTgwXkEyXkFqcGdeQXVyMzI5NDcxNzI@._V1_.jpg" alt="">
                        <div id="myModal" class="modal">
                            <a href="#">Profile</a>
                            <a href="#">Logout</a>
                        </div>
                    </div>
                    <span style="display: flex; align-items: center; text-align: center;">Oleksii Postovyi</span>
                </a>
            </div>
        </div>
    </nav>
    <div class="container">
        <div class="menu">
            <p><a style = "font-size: 15px; text-decoration: none; color: darkslategray;" href=" ">Dashboard</a></p>
            <p><a style = "font-size: 15px; text-decoration: none; color: darkslategray;" href=" "><strong>Students</strong></a></p>
            <p><a style = "font-size: 15px; text-decoration: none; color: darkslategray;" href=" ">Tasks</a></p>
        </div>
        <div class="content">
            <h2>Students</h2>
            <button class="addbutton" onclick="openAddStudentWindow()">+</button>
            <table id = "tbl">
                <tr>                   
                    <th><input type="checkbox"></th>
                    <th>Group</th>
                    <th>Name</th>
                    <th>Gender</th>
                    <th>Birthday</th>
                    <th>Status</th>
                    <th>Options</th>
                </th>
            </table>
            <div class="student-window">
                <div class="student-window-content">
                  <header class="student-window-header">
                    <h3 class="student-window-heading">Add student</h3>
                    <button onclick="closeStudentWindow()" class="btn--close-student-window">x</button>
                  </header>
                  <form name = "studentForm" onsubmit="return false" action="example.com" id="student-form" class="student-form">
                    <div class="student-input-container">
                      <input
                        name="id"
                        id="id"
                        style="display: none; visibility: hidden;"
                        type="text"
                        value="1"
                      />
                    <div class="student-input-container">
                      <label for="group" class="student-form-label">Group</label>
                      <select name="group" id="group" class="student-input" required>
                        <option value="">Select group</option>
                        <option value="PZ-21">PZ-21</option>
                        <option value="PZ-22">PZ-22</option>
                        <option value="PZ-23">PZ-23</option>
                        <option value="PZ-24">PZ-24</option>
                        <option value="PZ-25">PZ-25</option>
                        <option value="PZ-26">PZ-26</option>
                      </select>
                    </div>
                    <div class="student-input-container">
                      <label for="full-name" class="student-form-label"
                        >Full name</label
                      >
                      <input
                        name="full-name"
                        id="full-name"
                        type="text"
                        class="student-input"
                        required
                      />
                    </div>
                    <div class="student-input-container">
                      <label for="gender" class="student-form-label">Gender</label>
                      <select
                        name="gender"
                        id="gender"
                        class="student-input"
                        required
                      >
                        <option value="">Select gender</option>
                        <option value="Male">Male</option>
                        <option value="Female">Female</option>
                        <option value="Undefined">Undefined</option>
                      </select>
                    </div>
                    <div class="student-input-container">
                      <label for="birthday" class="student-form-label"
                        >Birthday</label
                      >
                      <input
                        name="birthday"
                        id="birthday"
                        type="date"
                        class="student-input"
                        required
                      />
                    </div>
                    <div class="form-buttons">
                      <button id="b1" onclick="addStudent()" class="btn--form btn--form-submit" type="submit">
                        Submit
                      </button>
                      <button class="btn--form btn--form-cancel" type="button">
                        Cancel
                      </button>
                    </div>
                  </form>
                </div>
              </div>      
        </div>
    </div>
    <div class="student-window" id = "loginForm">
      <form name = "loginForm" class="student-form" id = "login-form">
        <label for="first-name" class="student-form-label">Login</label>
        <input type="text" name="first-name">
        <label for="password" class="student-form-label">Password</label>
        <input type="password" name="password">
        <button class="btn--form btn--form-submit" type="submit" onclick="logIn()">
          Submit
        </button>
      </form>
    </div>
    <script src="script.js"></script>
</body>
</html>